# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectContext

Packages that use ISharedObjectContext
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.remoteservice.generic

## Uses of ISharedObjectContext in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that return ISharedObjectContext
Modifier and Type
Method
Description
`protected final ISharedObjectContext`
BaseSharedObject.`getContext()`
Get the shared object context for this object.
`ISharedObjectContext`
ISharedObjectConfig.`getContext()`
Get the ISharedObjectContext instance for this ISharedObject.
`protected ISharedObjectContext`
TwoPhaseCommitEventProcessor.`getContext()`

## Uses of ISharedObjectContext in org.eclipse.ecf.provider.generic

Classes in org.eclipse.ecf.provider.generic that implement ISharedObjectContext
Modifier and Type
Class
Description
`class`
`SOContext`
Methods in org.eclipse.ecf.provider.generic that return ISharedObjectContext
Modifier and Type
Method
Description
`ISharedObjectContext`
SOConfig.`getContext()`

## Uses of ISharedObjectContext in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that return ISharedObjectContext
Modifier and Type
Method
Description
`protected ISharedObjectContext`
RegistrySharedObject.`getSOContext()`